<script setup lang="ts">
import { useStore } from "vuex";
import { computed } from "vue";
import SelectionPlaceholder from "@/components/SelectionPlaceholder.vue";
import SortableList from "@/components/SortableList.vue";

const store = useStore();
const info = computed(() => store.getters.lineInfo);
const currentStop = computed(() => store.state.activeStop);
const stopInfo = computed(() => store.getters.stopInfo);
const currentLine = computed(() => store.state.activeLine);
</script>

<template>
  <div v-if="currentStop" class="bg-white list-tab">
    <h3>Bus Stop: {{ currentStop }}</h3>
    <p>Time</p>
    <SortableList
        :data="stopInfo"
        :current="currentStop"
        :order="true"
    />
  </div>
  <SelectionPlaceholder
    v-else
    :text="
      currentLine
        ? 'Please select the bus stop first'
        : 'Please select the bus line first'
    "
  />
</template>

<style scoped>
.list-tab {
  padding: 24px 0 0 24px;
  align-items: center;
}
</style>
